Organization Add Employee

Add an employee user to an organization customer

Organization Add Employee

Adds an employee profile and creates a user for an existing organization.

Endpoint

POST /api/v2.1/customer/organization/{organizationId}/employee

Default Role Set (runner-aligned)

COMPLIANCE_OFFICER, TRANSACTION_APPROVER, EMPLOYEE, ADMIN_USER

Required Headers

X-Forwarded-For string required

Client source IP (runner default: 127.0.0.1)

X-Tenant-ID string required

Tenant identifier

X-Forwarded-From string required

Client source identifier (runner default: integration-client)

platform string required

Client platform (runner default: web)

deviceId string required

Device identifier (runner default: integration-device)

Authorization string required

Bearer token

Request Example

json
{
  "person": {
    "firstName": "Jane",
    "lastName": "Compliance",
    "email": "compliance.20260331115443@acmecorp.com",
    "phoneNumber": "+37066051634",
    "dateOfBirth": "1990-03-25",
    "nationality": "Lithuania",
    "gender": "1",
    "fullName": "Jane Compliance"
  },
  "position": "COMPLIANCE_OFFICER",
  "roles": ["COMPLIANCE_OFFICER", "TRANSACTION_APPROVER", "EMPLOYEE", "ADMIN_USER"],
  "department": "Compliance"
}

Success Response

200
json
{
  "code": 200,
  "data": {
    "individual": {
      "userId": "da9a15d2-1eb9-4804-a812-b58b03f33018",
      "email": "compliance.20260331115443@acmecorp.com"
    }
  },
  "message": "Employee added successfully with role validation"
}

Type to search…

↑↓ navigate open esc close